commit-inetutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU Inetutils branch, master, updated. inetutils-1_9_1-28-g71281f


From: Mats Erik Andersson
Subject: [SCM] GNU Inetutils branch, master, updated. inetutils-1_9_1-28-g71281f6
Date: Mon, 06 Feb 2012 22:22:49 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Inetutils ".

The branch, master has been updated
       via  71281f6d103838e7db6bed8b26aea72d747828ac (commit)
      from  6f8fd11c36f9c4d5ca7f26243d90a3c672925b30 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/inetutils.git/commit/?id=71281f6d103838e7db6bed8b26aea72d747828ac


commit 71281f6d103838e7db6bed8b26aea72d747828ac
Author: Mats Erik Andersson <address@hidden>
Date:   Mon Feb 6 23:19:30 2012 +0100

    Test presence of lookup files.
    
    The FTP and TFTP tests depend in /etc/nsswitch.conf,
    /etc/passwd, and /etc/protocols.  Check their presence.

diff --git a/ChangeLog b/ChangeLog
index 1bd422c..53c4fbf 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2012-02-06  Mats Erik Andersson <address@hidden>
+
+       * doc/inetutils.texi (logger invocation): Describe option `-u/--unix'.
+       (ftpd invocation): Describe options `-4/ipv4' and `-6/--ipv6'.
+       * tests/ftp-localhost.sh (NSSWITCH, PASSWD, PROTOCOLS): New variables
+       naming standard files.  Check their presence and skip test otherwise.
+       * tests/tftp.sh (NSSWITCH, PASSWD, PROTOCOLS): Likewise.
+
 2012-02-05  Mats Erik Andersson <address@hidden>
 
        * tests/tftp.sh: Need job control, issue `set -m'.
diff --git a/doc/inetutils.texi b/doc/inetutils.texi
index 392d537..2fb2e0b 100644
--- a/doc/inetutils.texi
+++ b/doc/inetutils.texi
@@ -330,7 +330,7 @@ must be separated from it by exactly one equals sign.
 @opindex -h
 @opindex --host
 Send messages to the given host or socket.  The @var{host} argument
-can be either a local UNIX socket name (starting with a dash @samp{/}),
+can be either a local UNIX socket name (starting with a slash @samp{/}),
 or:
 
 @smallexample
@@ -345,6 +345,14 @@ the port number corresponding to the @samp{syslog} service 
is used.
 If a numerical IPv6 address is given without a port specification,
 then the address must be enclosed within brackets (like [::1]).
 
address@hidden -u @var{socket}
address@hidden address@hidden
address@hidden -h
address@hidden --host
+Send messages to the given local UNIX socket.  The @var{socket} argument
+can be either an absolute path (starting with a slash @samp{/}), or a relative
+path understood relative to the current working directory.
+
 @item -S @var{addr}
 @itemx address@hidden
 @opindex -S
@@ -2676,6 +2684,18 @@ ftpd address@hidden@dots{}
 @end example
 
 @table @option
address@hidden -4
address@hidden --ipv4
address@hidden -4
address@hidden --ipv4
+Daemon uses only IPv4 addressing.  Ignored in inetd mode.
+
address@hidden -6
address@hidden --ipv6
address@hidden -6
address@hidden --ipv6
+Daemon uses only IPv6 addressing.  Ignored in inetd mode.
+
 @item -A
 @itemx --anonymous-only
 @opindex -A
diff --git a/tests/ftp-localhost.sh b/tests/ftp-localhost.sh
index 0ac7f26..ab4cb0b 100755
--- a/tests/ftp-localhost.sh
+++ b/tests/ftp-localhost.sh
@@ -29,6 +29,9 @@
 #
 #  * Detection of sysctl(8) is made.  Availability will
 #    lead to better test coverage.
+#
+#  * Accessed by launched Inetd:
+#      /etc/nsswitch.conf, /etc/passwd, /etc/protocols.
 
 # FIXME: Better test coverage!
 #
@@ -83,6 +86,24 @@ netstat -na >/dev/null 2>&1 ||
        exit 77
     }
 
+# The superserver Inetd puts constraints on any chroot
+# when running this script, since it needs to look up
+# some basic facts stated in the configuration file.
+NSSWITCH=/etc/nsswitch.conf
+PASSWD=/etc/passwd
+PROTOCOLS=/etc/protocols
+
+if test ! -r $NSSWITCH || test ! -r $PASSWD \
+      || test ! -r $PROTOCOLS; then
+    cat <<-EOT >&2
+       The use of the superserver Inetd in this script requires
+       the availability of "$NSSWITCH", "$PASSWD", and
+       "$PROTOCOLS".  At least one of these is now missing.
+       Therefore skipping test.
+       EOT
+    exit 77
+fi
+
 if [ $VERBOSE ]; then
     set -x
     $FTP --version | head -1
diff --git a/tests/tftp.sh b/tests/tftp.sh
index 38faba6..add33c3 100755
--- a/tests/tftp.sh
+++ b/tests/tftp.sh
@@ -27,6 +27,9 @@
 #
 #  * cmp(1), dd(1), id(1), grep(1), mktemp(1), netstat(8),
 #    ps(1), sed(1), uname(1).
+#
+#  * Accessed by launched Inetd:
+#      /etc/nsswitch.conf, /etc/passwd, /etc/protocols.
 
 # Need job control when spawning Inetd.
 set -m
@@ -72,6 +75,24 @@ echo 'Good luck.' | grep 'ood' > /dev/null 2>&1 \
        exit 77
     }
 
+# The superserver Inetd puts constraints on any chroot
+# when running this script, since it needs to look up
+# some basic facts stated in the configuration file.
+NSSWITCH=/etc/nsswitch.conf
+PASSWD=/etc/passwd
+PROTOCOLS=/etc/protocols
+
+if test ! -r $NSSWITCH || test ! -r $PASSWD \
+      || test ! -r $PROTOCOLS; then
+    cat <<-EOT >&2
+       The use of the superserver Inetd in this script requires
+       the availability of "$NSSWITCH", "$PASSWD", and
+       "$PROTOCOLS".  At least one of these is now missing.
+       Therefore skipping test.
+       EOT
+    exit 77
+fi
+
 AF=${AF:-inet}
 PROTO=${PROTO:-udp}
 USER=`id -u -n`

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog              |    8 ++++++++
 doc/inetutils.texi     |   22 +++++++++++++++++++++-
 tests/ftp-localhost.sh |   21 +++++++++++++++++++++
 tests/tftp.sh          |   21 +++++++++++++++++++++
 4 files changed, 71 insertions(+), 1 deletions(-)


hooks/post-receive
-- 
GNU Inetutils 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]